NANO(1)

NAME
nano - Nano's ANOther editor, an enhanced free Pico clone

SYNOPSIS
nano [+LINE] [options] [file]

DESCRIPTION
This manual page documents briefly the nano command.

nano is a small, free and friendly editor which aims to replace Pico, the default editor included in the non-free Pine package. Rather than just copying Pico's look and feel, nano also implements some missing (or disabled by default) features in Pico, such as "search and replace" and "go to line number".

OPTIONS

+LINE
    Places cursor at LINE on startup.

-B (--backup)
    When saving a file, back up the previous version of it to the current filename suffixed with a ~.

-D (--dos)
    Write file in DOS format.

-F (--multibuffer)
    Enable multiple file buffers, if available.

-H (--historylog)
    Log search and replace strings to ~/.nano_history so they may be stored for later editing, if nanorc support is configured.

-I (--ignorercfiles)
    Don't look at /etc/nanorc or ~/.nanorc, if nanorc support is available.

-K (--keypad)
    Do not use the ncurses keypad() call unless necessary. Try this flag if you find that the arrow keys on the numeric keypad do not work for you under nano.

-M (--mac)
    Write file in Mac format.

-N (--noconvert)
    Disable automatic conversion of files from DOS/Mac format.

-Q str (--quotestr=str)
    Set the quoting string for justifying. The default is "^([ \t]*[|>:}#])+" if regular expression support is available, or "> " otherwise.

-R (--regexp)
    Enable regular expression matching for search strings, as well as \n subexpression replacement for replace strings, if available.

-S (--smooth)
    Enable smooth scrolling. Text will scroll line-by-line, instead of the usual chunk-by-chunk behavior.

-T num (--tabsize=num)
    Set the size (width) of a tab.

-V (--version)
    Show the current version number and author.

-Y str (--syntax=str)
    Specify a specific syntax highlighting from the .nanorc to use, if available.

-c (--const)
    Constantly show the cursor position.

-h (--help)
    Display a summary of command line options.

-i (--autoindent)
    Indent new lines to the previous line's indentation. Useful when editing source code.

-k (--cut)
    Enable cut from cursor to end of line with ^K.

-l (--nofollow)
    If the file being edited is a symbolic link, replace the link with a new file, do not follow it. Good for editing files in /tmp, perhaps?

-m (--mouse)
    Enable mouse support (if available for your system).

-o dir (--operatingdir=dir)
    Set operating directory. Makes nano set up something similar to a chroot.

-p (--preserve)
    Preserve the XON and XOFF sequences (^Q and ^S) so they will be caught by the terminal.

-r cols (--fill=cols)
    Wrap lines at column cols. By default, this is the width of the screen, less eight. If this value is negative, wrapping will occur at cols columns from the right of the screen, allowing the wrap point to vary along with the screen width if resized.

-s prog (--speller=prog)
    Enable alternative spell checker command.

-t (--tempfile)
    Always save changed buffer without prompting. Same as Pico -t option.

-v (--view)
    View file (read only) mode.

-w (--nowrap)
    Disable wrapping of long lines.

-x (--nohelp)
    Disable help screen at bottom of editor.

-z (--suspend)
    Enable suspend ability.

-a, -b, -e, -f, -g, -j
    Ignored, for compatibility with Pico.

INITIALIZATION FILE
nano will read initialization files in the following order: /etc/nanorc, then ~/.nanorc. Please see nanorc(5) and the example file nanorc.sample which should be provided with nano.

NOTES
nano will try to dump the buffer into an emergency file in some cases. Mainly, this will happen if nano receives a SIGHUP or SIGTERM or runs out of memory, when it will write the buffer into a file named nano.save if the buffer didn't have a name already, or will add a ".save" suffix to the current filename. If an emergency file with that name already exists in the current directory, ".save" and a number (e.g. ".save.1") will be suffixed to the current filename in order to make it unique. In multibuffer mode, nano will write all the open buffers to the respective emergency files.

BUGS
Please send any comments or bug reports to nano@nano-editor.org. The nano mailing list is available from nano-devel@gnu.org. To subscribe, email to nano-devel-request@gnu.org with a subject of "subscribe".

HOMEPAGE
http://www.nano-editor.org/

SEE ALSO
nanorc(5)
/usr/share/doc/nano/ (or equivalent on your system)

AUTHOR
Chris Allegretta <chrisa@asty.org>, et al (see AUTHORS and THANKS for details). This manual page was originally written by Jordi Mallach <jordi@sindominio.net>, for the Debian GNU system (but may be used by others).